### Method

# Gdk GLTextureBuilderset_sync

since: 4.12

#### Declaration [src]

    void
    gdk_gl_texture_builder_set_sync (
      GdkGLTextureBuilder* self,
      gpointer sync
    )

#### Description [src]

Sets the GLSync object to use for the texture.

GTK will wait on this object before using the created `GdkTexture`.

The `destroy` function that is passed to `gdk_gl_texture_builder_build()` is responsible for freeing the sync object when it is no longer needed. The texture builder does not destroy it and it is the callers responsibility to make sure it doesn’t leak.

Available since: 4.12

Sets property | `Gdk.GLTextureBuilder:sync`

#### Parameters

`sync`

  Type: `gpointer`

  The GLSync object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.